%define major 0
%define libname %mklibname davix %{major}
%define develname %mklibname davix -d
%define _disable_ld_no_undefined 1
%define tag R_0_7_6

%global with_tests 0
 
Name:				davix
Version:			0.7.6
Release:			%mkrel 1
Summary:			Toolkit for Http-based file management
License:			LGPLv2+
URL:				http://dmc.web.cern.ch/projects/davix/home
# Blessed release tarballs found in https://github.com/cern-fts/davix/releases
Source0:		        https://github.com/cern-fts/davix/releases/download/%{tag}/davix-%{version}.tar.gz
# ./packaging/make-dist.sh 
# the tar.gz is in the build folder
#main lib dependencies
BuildRequires:                  cmake
BuildRequires:                  doxygen
BuildRequires:                  libxml2-devel
BuildRequires:                  openssl-devel
# davix-copy dependencies
BuildRequires:                  pkgconfig(gsoap)
BuildRequires:                  libuuid-devel
# unit tests and abi check
%if 0%{?with_tests}
BuildRequires:                  abi-compliance-checker
%endif
Requires:                       %{name}-libs = %{version}-%{release}
Group:   Networking/Other

%description
Davix is a toolkit designed for file operations
with Http based protocols (WebDav, Amazon S3, ...).
Davix provides an API and a set of command line tools.

%package -n %{libname}
Summary:			Development files for %{name}
Provides:			%{name}-libs = %{version}-%{release}
Group:   Networking/Other

%description -n %{libname}
Davix is a toolkit designed for file operations
with Http based protocols (WebDav, Amazon S3, ...).
Davix provides an API and a set of command line tools.


%description -n %{libname}
Libraries for %{name}. Davix is a toolkit designed for file operations
with Http based protocols (WebDav, Amazon S3, ...).

%package -n %{develname}
Summary:			Development files for %{name}
Provides: %{name}-devel = %{version}-%{release}
Requires:			%{name}-libs = %{version}-%{release}
Requires:			pkgconfig
Group:   Networking/Other

%description -n %{develname}
Development files for %{name}. Davix is a toolkit designed for file operations
with Http based protocols (WebDav, Amazon S3, ...).

%package doc
Summary:			Documentation for %{name}
BuildArch:	noarch

%description doc
Documentation and examples for %{name}. Davix is a toolkit designed 
for file operations with Http based protocols (WebDav, Amazon S3, ...).

%prep
%setup -q

# remove useless embedded components
rm -rf test/pywebdav/

%build
%cmake \
-DDOC_INSTALL_DIR=%{_pkgdocdir} \
-DENABLE_THIRD_PARTY_COPY=TRUE \
-DENABLE_HTML_DOCS=TRUE \
-DUNIT_TESTS=TRUE \
.
%cmake_build
pushd build
make doc
popd

%if 0%{?with_tests}
%check
pushd build
make abi-check
ctest -V -T Test
popd
%endif

%install
%cmake_install

%files
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libdavix.so.*
%{_libdir}/libdavix_copy.so.*
%{_mandir}/man3/*

%files -n %{develname}
%{_libdir}/libdavix.so
%{_libdir}/libdavix_copy.so
%dir %{_includedir}/davix
%{_includedir}/davix/*
%{_libdir}/pkgconfig/*

%files doc
%{_pkgdocdir}/LICENSE
%{_pkgdocdir}/RELEASE-NOTES.md
%{_pkgdocdir}/html/


%changelog
* Sun Jul 12 2020 joequant <joequant> 0.7.6-1.mga8
+ Revision: 1605536
- update to 0.7.6

* Tue Apr 28 2020 joequant <joequant> 0.7.5-1.mga8
+ Revision: 1572913
- imported package davix

